cURL
curl --request GET \
--url https://staging-api.capa.fi/api/partner/v2/receivers \
--header 'partner-api-key: <api-key>'import requests
url = "https://staging-api.capa.fi/api/partner/v2/receivers"
headers = {"partner-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'partner-api-key': '<api-key>'}};
fetch('https://staging-api.capa.fi/api/partner/v2/receivers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"data": [
{
"id": "9486244c-ff7d-4c22-9984-797179d7deaa",
"userId": "string",
"receiverType": "INDIVIDUAL",
"email": "string",
"disabled": false,
"createdAt": "string",
"updatedAt": "string"
}
],
"count": 1,
"total": 1
}
}Receivers
List Receivers
GET
/
api
/
partner
/
v2
/
receivers
cURL
Retrieves all receivers for a specific user. Returns a paginated list of both INDIVIDUAL and BUSINESS receivers.
Error Codes
Common Errors
| HTTP Status | Code | Message |
|---|---|---|
| 401 | UNAUTHORIZED | ”API Key is missing” |
| 401 | UNAUTHORIZED | ”Invalid API Key format” |
| 401 | UNAUTHORIZED | ”Invalid API Key” |
| 403 | INVALID_PARTNER_FLOW | ”The partner has an invalid flow.” |
User Ownership Errors
| HTTP Status | Code | Message |
|---|---|---|
| 401 | UNAUTHORIZED | ”Partner information is required for this operation” |
| 401 | UNAUTHORIZED | ”User is not associated with the partner” |
Endpoint-Specific Errors
| HTTP Status | Code | Message |
|---|---|---|
| 500 | RECEIVER_RETRIEVAL_FAILED | ”Failed to retrieve receivers. Please try again later.” |
Authorizations
API key for the affiliated partner performing the request.
Query Parameters
User ID to filter receivers by owner
Example:
"550e8400-e29b-41d4-a716-446655440000"
⌘I